﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace OperationsMatrix
{
    public partial class frmResults : Form
    {
        Matrix grid;
        public frmResults()
        {
            InitializeComponent();
        }

        public frmResults(Matrix resultMatrix)
        {
            InitializeComponent();

            this.grid = resultMatrix;

            setGridView();
            GridParams.SetColumnWidth(gridMatrix, GridParams.COLUMN_WIDTH);
            GridParams.SetRowsHeight(gridMatrix, GridParams.ROWS_HEIGHT);
            GridParams.FillGrids(gridMatrix, this.grid);
        }

        private void setGridView()
        {
            gridMatrix.RowCount = this.grid.GetCountRow();
            gridMatrix.ColumnCount = this.grid.GetCountCol();


        }

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }
    }
}
